Subject: RE: 2 copies of perl includes?
From: "linda w \(cyg\)" <[email-masked]>
To: <[email-masked]>
Cc: "'Greg Matheson'" <[email-masked]>
Date: Mon, 30 Dec 2002 16:49:41 -0800

Thanks for the datapoint Greg...

On my system, the copies can be accessed by /usr/lib, as well,  since 'mount',
on cygwin, returns (among other things):

C:\root\usr\X11R6\lib\X11\fonts on /usr/X11R6/lib/X11/fonts type system
(binmode)
C:\root\bin on /usr/bin type system (binmode)
C:\root\lib on /usr/lib type system (binmode)

---
Seems like distinctions between bin&usr-bin and lib&usr-lib are a bit
non existant.

The /usr/lib, /lib difference is a red-herring.

It's the duplication of content in the 5.6.1 and 5.6.1/cygwin-multi that
I'm finding a bit odd.

5.8?  Is that available in cygwin-x86?  I don't recall it being an option
on recent downloads, but I may have missed it.  I do have it on my gnunix
systems though.

I'm also not quite clear on the purpose of the 1st mount as it seems to
mount on top of itself unlike the second 2 mounts.

linda

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Greg Matheson
> Sent: December 30, 2002 04:01p
> To: [email-masked]
> Subject: Re: 2 copies of perl includes?
> 
> 
> On Mon, 30 Dec 2002, linda w (cyg) wrote:
> 
> > I was searching for a perl module.   "Locate" turned up 2 copies in:
> 
> > /lib/perl/5.6.1 and /lib/perl/5.6.1/cygwin-multi
> 
> That's a non-standard location, I think.
> 
> greg@6505 ~
> $ perl -v
> 
> This is perl, v5.8.0 built for cygwin-multi-64int
> 
> ...
> 
> greg@6505 ~
> $ ls /usr/lib/perl5
> 5.6.1  5.8.0  site_perl
> 
> greg@6505 ~
> $ ls /lib/perl
> ls: /lib/perl: No such file or directory
> 
> -- 
> Greg Matheson                Everybody's talking about 
> Chinmin College              a new way of walking.
>                              --Memphis Jazz Band
> Taiwan Penpals Archive <URL: http://penpals.chinmin.edu.tw/>
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/